'***************************************************************************************************************************
'                                                  FTPD Search System
'***************************************************************************************************************************
'Copyright (C) 2006 Christer Finsen, cfinsenatcuifdotcx and Nils-Erik Aurker, nils-erikdotauraakerattoetipdotcom
'
'This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License
'as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. 
'
'This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
'of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. 
'
'You should have received a copy of the GNU General Public License along with this program; if not, write to the
'Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
'---------------------------------------------------------------------------------------------------------------------------
'Please see readme.txt for installation

Const CONVERT       = True                                           'True|False Convert "\" --> "/" in reply. Default is True
Const DATABASEROOT  = "C:\Program Files\RaidenFTPD\Search\DB"        'Path to root folder where databases should be stored
Const ERRORLOGS     = 0                                              'Number of Error logs to store in Error log directory, 0 = Do not delete any (Default) Warning!, this will make sure that no more than n files will remain in log directory. You can imagine what happend if you choose C:\Windows as log directory.
Const ERRORPATH     = "C:\Program Files\RaidenFTPD\Search\SrchErr"   'If an system error occur during search, logs containing error will be placed here.
Const EVENTLOG      = 0                                              'Loglevel Eventlog 1|2|3 0 = None 1 = Success/Error 2 = Full 3 = Debug
Const FILELOG       = 2                                              'Loglevel File 1|2|3 0 = None 1 = Success/Error 2 = Full 3 = Debug
Const FILELOGPATH   = "C:\Program Files\RaidenFTPD\Search\SrchLog"   'Path to logfile
Const LOCATE        = "C:\Program Files\Locate\Locate.exe"           'Path to Locate command line executable
Const LOGS          = 10                                             'Number of logs to store in log directory 0 = Do not delete any Warning!, this will make sure that no more than n files will remain in log directory. You can imagine what happend if you choose C:\Windows as log directory.
Const OUTPUT        = "C:\Program Files\RaidenFTPD\Output"           'Output directory of RaidenFTPD, normally a subdir of RaidenFTPD installation named Output
Const REPLACEVFS    = True                                           'True|False Replaces traditional filesystem path with VFS path
Const RESULTDEF     = 25                                             'Default result (number of lines) a search return
Const RESULTMAX     = 100                                            'Absolute maximum result (number of lines) a search can return. This can not be higher than 999999999, or the CLng in f_VerifyCmd will cause overflow (might not be an issue ;))
Const SCENEVIEW    = False                                              'True|False False = Output non boxed result to FTPD client, True = Output result in boxed style, typically preferred by expert users. Important! To unleash this simple "eye candy", the FTPD client must support a fixed lenght of all characters. If not the output will be truncated or wrecked.
Const SEARCHTYPE    = "-ld"                                          '-lf|-ld|-ldf Default search type lf=file, ld=dir, ldf=both. See Locate.exe /? for details
Const VFS           = "C:\Program Files\RaidenFTPD\RaidenFPTD32.vfs" 'Path to RaidenFTPD vfs file